List cardholders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/cardholders \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/cardholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/cardholders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/cardholders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/cardholders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_number": "<string>",
"kyc_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": {
"number": "<string>",
"country_code": "<string>"
}
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Cards
List cardholders
Lists cardholders available to the authenticated partner.
Use account_id after an interrupted onboarding flow to find the
cardholder associated with an account.
GET
/
v1
/
cardholders
List cardholders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/cardholders \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/cardholders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/cardholders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/cardholders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/cardholders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_number": "<string>",
"kyc_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone": {
"number": "<string>",
"country_code": "<string>"
}
}
],
"pagination": {
"next_page_cursor": "<string>",
"has_next": true
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Query Parameters
Filter by account.
Filter cardholders created on or after this date.
Filter cardholders created on or before this date.
The number of cardholders on each page (1-100).
Required range:
1 <= x <= 100The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.